From 8d63f00ae73355092c4ceb3f37580d1dc3f14796 Mon Sep 17 00:00:00 2001
From: wukongdaily <2666180@gmail.com>
Date: Tue, 7 May 2024 17:33:16 +0800
Subject: [PATCH] =?UTF-8?q?=E5=9C=A8=E9=80=89=E9=A1=B91=E5=A2=9E=E5=8A=A0c?=
 =?UTF-8?q?url=E7=9A=84=E5=AE=89=E8=A3=85?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

---
 zero3/pi.sh | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/zero3/pi.sh b/zero3/pi.sh
index e4ef221..ed3105a 100644
--- a/zero3/pi.sh
+++ b/zero3/pi.sh
@@ -70,6 +70,17 @@ update_system_packages() {
     green "Updating system packages..."
     sudo apt update
     sudo DEBIAN_FRONTEND=noninteractive apt-get upgrade -y
+    if ! command -v curl &> /dev/null; then
+        red "curl is not installed. Installing now..."
+        sudo apt update && sudo apt install -y curl
+        if command -v curl &> /dev/null; then
+            green "curl has been installed successfully."
+        else
+            echo "Failed to install curl. Please check for errors."
+        fi
+    else
+        echo "curl is already installed."
+    fi
 }
 
 # 安装文件管理器